LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Slackware 14.0 - Official LLVM SlackBuild "set -e" error (http://www.linuxquestions.org/questions/slackware-14/slackware-14-0-official-llvm-slackbuild-set-e-error-4175432061/)

atelszewski 10-13-2012 02:41 PM

Slackware 14.0 - Official LLVM SlackBuild "set -e" error
 
Hi,

The official llvm.SlackBuild from 14.0 misses the "set -e" or any other form of error protection.

Due to this, I was watching the script changing the permissions of every file in my rootfs / of my shiny newly installed system with ~100 just compiled slackbuilds.org packages... I just changed the VERSION from 3.0 to 3.1 and tried to build this;)

OOT: any one having troubles using clang 3.0 with "-Wall" flag on 64 bit version of Slackware 14.0? In my case the compiler segfaults if I try to compile simple C file. Without "-Wall" it compiles fine.

--
Best regards,
Andrzej Telszewski

GazL 10-13-2012 03:20 PM

Yes, '-Wall' results in a seg-fault here too.

Thanks for the warning about the slackbuild. I was thinking of updating that myself.

Alien Bob 10-13-2012 05:00 PM

I've sent Pat a fix for that SlackBuild.

It goes like this:

Code:

--- source/d/llvm/llvm.SlackBuild.orig  2012-07-13 17:07:35.000000000 +0200
+++ source/d/llvm/llvm.SlackBuild      2012-10-13 23:56:33.194421973 +0200
@@ -61,14 +61,14 @@
 mkdir -p $TMP $PKG
 cd $TMP
 rm -rf $PKGNAM-${VERSION}.src
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
 
 if [ "$CLANG" = "no" ]; then
-  cd $PKGNAM-${VERSION}.src
+  cd $PKGNAM-${VERSION}.src || exit 1
 else
-  cd $PKGNAM-${VERSION}.src/tools
+  cd $PKGNAM-${VERSION}.src/tools || exit 1
  rm -rf clang clang-${VERSION}.src
-  tar xvf $CWD/clang-$VERSION.tar.xz
+  tar xvf $CWD/clang-$VERSION.tar.xz || exit 1
  mv clang-${VERSION}.src clang
  cd ../

Eric


All times are GMT -5. The time now is 09:55 PM.